%define	module	Net-SSH-Perl
%define	name	perl-%{module}
%define	version	1.27
%define	release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl client Interface to SSH
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org/
#Patch:		patch-Net-SSH-Perl_options.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel sed perl-MIME-Base64 perl-Math-Pari perl-Digest-MD5 perl-Math-GMP
BuildRequires:  perl-String-CRC32 perl-Crypt-IDEA perl-Crypt-DH perl-Convert-PEM perl-Crypt-DSA
BuildRequires:  perl-Digest-SHA1 perl-Digest-HMAC
# The 2 following BuildRequire are only options, if you comment this
# BuildRequires, then uncomment the few lines after %build
BuildRequires:  perl-Digest-BubbleBabble perl-Crypt-RSA
Requires:       perl
BuildArch:      noarch

%description
Net::SSH::Perl is an all-Perl module implementing an SSH
(Secure Shell) client. It is compatible with both the SSH-1
and SSH-2 protocols.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make
make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
%{makeinstall_std}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}
%{_mandir}/man*/*

%changelog
* Fri Feb 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.27-1mdk
- 1.27

* Sat Feb 05 2005 Sylvie Terjan <erinmargault@mandrake.org> 1.26-1mdk
- 1.26
- rebuild for new perl

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.25-1mdk
- 1.25
- drop prefix tag
- cosmetics

* Mon Dec 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.24-1mdk
- 1.24

* Sun Nov  9 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.23-1mdk
- First MandrakeSoft Package


